> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Get the account details for the authenticated user. Returns the account from core api.



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json get /user/account
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /user/account:
    get:
      tags:
        - User
      summary: Get Account
      description: >-
        Get the account details for the authenticated user. Returns the account
        from core api.
      responses:
        '200':
          description: Account retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '401':
          description: Unauthorized - Invalid JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User or account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway - Failed to fetch account from core api
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kycProfileId:
          type: string
          format: uuid
        safeOwnerAddress:
          type: string
        safeAddress:
          type: string
          nullable: true
        chain:
          type: object
          properties:
            name:
              type: string
              enum:
                - celo
                - gnosis
            id:
              type: string
              enum:
                - '100'
                - '42220'
          required:
            - name
            - id
        chainName:
          type: string
        reference:
          type: string
          nullable: true
        nativeCurrency:
          type: string
        additionalCurrencies:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        closedAt:
          type: string
          nullable: true
          format: date-time
        status:
          type: string
          enum:
            - provisioning
            - active
            - blocked
            - closed
        provisionedAt:
          type: string
          nullable: true
          format: date-time
      required:
        - id
        - kycProfileId
        - safeOwnerAddress
        - safeAddress
        - chain
        - chainName
        - reference
        - nativeCurrency
        - additionalCurrencies
        - createdAt
        - updatedAt
        - closedAt
        - status
        - provisionedAt
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error

````